<div class="content">
  <div class="search-advanced">
    <span>Popularity: </span>
    <input #popularityL type="number" min="0" max="100" value="0"> -
    <input #popularityG type="number" min="0" max="100" value="100">
    <br>
    <span>Track number: </span>
    <input #trackL type="number" min="0" max="100" value="0"> -
    <input #trackG type="number" min="0" max="100" value="100">
    <br>
  </div>
  <div class="search-advanced">
    <span>Duration: </span>
    <input #durationL type="number" min="0" max="100" value="0"> ms -
    <input #durationG type="number" min="0" max="10000000" value="10000000"> ms
    <br>
    <span>Disk number: </span>
    <input #diskL type="number" min="0" max="100" value="0"> -
    <input #diskG type="number" min="0" max="100" value="100">
    <br>
  </div>
  <div class="search-advanced">
    <span>Playable: </span>
    <select #playable>
      <option value="true">True</option>
      <option value="false">False</option>
    </select>
    <br>
    <span>Explicit: </span>
    <select #explicit>
      <option value="true">True</option>
      <option value="false">False</option>
    </select>
  </div>

  <input #inputText class="search-input" type="text" placeholder="Search..." 
  (keydown.enter)="getData(inputText.value, popularityL.value, popularityG.value, trackL.value, trackG.value,
  durationL.value, durationG.value, diskL.value, diskG.value, explicit.value, playable.value)">

  <div *ngIf="tracks" class="grid-container-header track-header">
    <span></span>
    <span class="grid-header">Title</span>
    <span class="grid-header">Artist</span>
    <span class="grid-header">Album</span>
  </div>
  <div class="grid-content">
    <div class="grid-container track" *ngFor="let data of tracks; let i=index">
      <i class="fas fa-caret-down" (click)="getDetails(data.id, i)"></i>
      <span class="grid-item"> {{ data.trackName }} </span>
      <span class="grid-item"> {{ data.artistName }} </span>
      <span class="grid-item"> {{ data.albumName }} </span>
      <i (click)="addToFavorites(data.id)" class="far fa-heart favourite"></i>
      <div></div>
      <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Popularity: </span> {{ searchDetails.albums[0].tracks[0].popularity }}</p>
      <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Track number: </span> {{ searchDetails.albums[0].tracks[0].trackNumber }}</p>
      <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Duration: </span> {{ searchDetails.albums[0].tracks[0].durationMs }} ms</p>
      <div></div>
      <div></div>
      <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Disc number: </span> {{  searchDetails.albums[0].tracks[0].discNumber }}</p>

    </div>

</div>
